Skip to main content

GetDeliveries

POST 

/twirp/ttab.newswire.Delivery/GetDeliveries

GetDeliveries is used to fetch deliveries to the destination. Returned items are in ascending ID order, starting from the first item for the destination if no cursor is provided. This method can be used regardless of the destination type.

Request

Body

    body_format ttab.newswire.BodyFormat

    Possible values: [BODY_FORMAT_UNSPECIFIED, BODY_FORMAT_ALL, BODY_FORMAT_TEXT, BODY_FORMAT_HTML5, BODY_FORMAT_RICH_HTML5]

    cursor string

    Cursor used to paginate through deliveries.

    destination string

    Destination to get deliveries for.

    max_wait_sec integer

    MaxWaitSec can be specified to activate long-poll behaviour when tailing the end of the deliveries.

Responses

Method response

Schema
    items object[]

    Items included in this batch of delivery items.

  • Array [
  • annotations object
    delivery_tags string[]

    DeliveryTags for an item.

    cursor string

    Cursor to use to start a GetDeliveries request at this position.

    doc string

    Doc is the TTNINJS document as a JSON string.

    type ttab.newswire.ContentType

    Possible values: [CONTENT_UNSPECIFIED, CONTENT_NEWS, CONTENT_EDITORIAL_INFO, CONTENT_PRESS_RELEASES]

  • ]
  • next string

    Next is the cursor to use for the next request to GetDeliveries.

Loading...